#pragma once
#include "datatable/validator/AbstractTableValidator.h"
#include <boost/shared_ptr.hpp>
#include "util/simpleobject/AgString.h"

class TableExpressionValidator : public AbstractTableValidator
{

private:
    ExpressionPtr expression;

public:
    virtual char getType();
    virtual AgString encode();
    virtual void validate(DataTablePtr table);

    TableExpressionValidator(const AgString& expression);
    virtual TableExpressionValidator *clone();

};
